/*

   Dummy file for linux testing port of libbiwak

*/

#include <biwak/i2c_slave.h>


CI2cSlave::CI2cSlave( const CI2c &_i2c, int address )
    :m_i2c( _i2c )
    ,m_slaveAddress( address )
{

}


CI2cSlave::~CI2cSlave()
{

}


int CI2cSlave::i2cReadData(uint16_t MemAddress, void* data, int size) const
{
   return(0);
}


int CI2cSlave::i2cWriteData(uint16_t MemAddress, const void* data, int size) const
{
   return(0);
}


int CI2cSlave::i2cReadData(void* data, int size ) const
{
   return(0);
}


int CI2cSlave::i2cWriteData(void* data, int size) const
{
   return(0);
}


int CI2cSlave::waitBusy()
{
   return(0);
}


//---fin-----------------------------------------------------------------------
